Download it now!
Bug 120705 - Add "Save as Image" option in right-click menu when one or more objects are selected in Impress and Draw
Summary: Add "Save as Image" option in right-click menu when one or more objects are s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: needsDevEval
Depends on:
Blocks: Context-Menu UNO-Command-New
  Show dependency treegraph
 
Reported: 2018-10-19 11:53 UTC by Pedro
Modified: 2020-03-04 14:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
In Powerpoint the context menu offers a "Save as image" option missing in Impress (208.78 KB, image/png)
2018-10-19 11:53 UTC, Pedro
Details
Export function in Customize should be included in Multiple Selection in Impress (155.73 KB, image/png)
2019-02-04 09:51 UTC, Pedro
Details
Proposed change in Multiple Selection context menu (223.67 KB, image/png)
2019-02-04 09:52 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-10-19 11:53:43 UTC
Created attachment 145825 [details]
In Powerpoint the context menu offers a "Save as image" option missing in Impress

Hello,

I would like to suggest an enhancement for Impress and also for Draw.
Powerpoint can be used as a very simple image editor and exporter since when selecting one or more objects (shapes, images, arrows, lines, etc) and right clicking to open context menu, it always shows an option of Save as image.

This makes it really easy to quickly create images (JPGs or PNGs) in Powerpoint without having to open a more complex image editor.

I always wanted this functionality in Impress or Draw since it makes it very intuitive to select said objects and simply export them as an image. Would it be possible to include this option in right click context menu?
Comment 1 andreas_k 2018-10-19 12:14:20 UTC
+1
Comment 2 Thomas Lendo 2018-10-19 13:21:17 UTC
Seems a nice idea.
If it shouldn't be in the default context menu, then it can be available in the Customize dialog to assign it by the users themselves.
Comment 3 Pedro 2018-10-30 18:04:59 UTC
Dear Armin and Thorsten,

Would it be possible to expose this .uno command in the context menus?
Comment 4 Heiko Tietze 2018-11-13 09:50:35 UTC
General agreement on the idea and I don't see a downside, so removing UX.
Comment 5 Pedro 2019-02-04 09:49:03 UTC
I've been giving a look into this and no coding is needed.
It's just a matter of doing the following:

1 - Go to Customize --> Context Menus,
2 -  Target --> Multiple Selection,
3 - Include the Export function in Multiple Selection target.

If possible I would like to use this chance to submit a commit to change this behaviour since there's already two +1's from Andreas and Heiko.
Comment 6 Pedro 2019-02-04 09:51:37 UTC
Created attachment 148879 [details]
Export function in Customize should be included in Multiple Selection in Impress

By including the Export function in Impress and Draw by default in the Multiple Selection context menu LO would be exposing a handy feature by default, just like it's done in Powerpoint.
Comment 7 Pedro 2019-02-04 09:52:56 UTC
Created attachment 148880 [details]
Proposed change in Multiple Selection context menu

By having the Export function, one can select multiple objects, right click and select to export them as a pdf or image file as show in the attachment.
Comment 8 Heiko Tietze 2019-02-04 16:03:21 UTC
Pedro, do you want to try the patch on yourself?
Comment 9 Pedro 2019-02-04 16:06:41 UTC
Yes, this is a minor low priority change so I think it is good for a first try at submitting a patch.

I already changed the Multiple Selection context menu in Impress in my install and it's working nicely.
Comment 10 Xisco Faulí 2019-05-07 08:11:53 UTC
Dear Pedro,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 11 andreas_k 2020-03-03 22:35:53 UTC
sorry fixed the enhancement good idea to add export to the multiselect context menu.
Comment 12 Commit Notification 2020-03-04 07:10:24 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/823e321057a376e720473c141ce90eeb777696bc

tdf#120705 Impress/Draw multiselect context menu add ExportTo

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Pedro 2020-03-04 14:45:22 UTC
Thank you Andreas!

I've been an intense spot in my professional life, and I haven't been able to do these easy hacks.